=== debian/changelog ===
sfuzz (0.7.0-1kali4) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Add Uploaders

  [ Steev Klimaszewski ]
  * Add d/watch file pointing to git repo.
  * Add lintian overrides
  * Update standards version to 4.6.2, no changes needed.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Wed, 25 Jan 2023 16:20:10 -0600

sfuzz (0.7.0-1kali3) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Refresh patches
  * Add a patch to fix cflags and ldflags
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.5.1
  * Remove debian/watch: upstream homepage no longer exists
  * Build with hardening options

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 18 Jun 2021 14:13:44 +0200

sfuzz (0.7.0-1kali2) kali-dev; urgency=medium

  * Do not hardcode dependencies on C libraries.
  * Modernize packaging.
  * Add multiarch support to configure script so that it finds libssl.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 25 Nov 2015 00:02:29 +0100

sfuzz (0.7.0-1kali1) kali; urgency=low

  * Updated watch file

 -- Mati Aharoni <muts@kali.org>  Sun, 12 Jan 2014 16:22:01 -0500

sfuzz (0.7.0-1kali0) kali; urgency=low

  * Initial release 

 -- Devon Kearns <dookie@kali.org>  Sat, 29 Dec 2012 07:43:18 -0700
